The Spring Framework

## org.springframework.jmx.export.metadata
Class ManagedOperationParameter

    java.lang.Object
      org.springframework.jmx.export.metadata.ManagedOperationParameter

    public class ManagedOperationParameter

extends Object

Metadata about JMX operation parameters. Used in conjunction with a `ManagedOperation` attribute.

Since:
  1.2
Author:
  Rob Harrop

Constructor Summary
`ManagedOperationParameter()`

Method Summary
`String` `getDescription()` Return a description for this parameter.
`int` `getIndex()` Return the index of this parameter in the operation signature.
`String` `getName()` Return the name of this parameter in the operation signature.
`void` `setDescription(String description)` Set a description for this parameter.
`void` `setIndex(int index)` Set the index of this parameter in the operation signature.
`void` `setName(String name)` Set the name of this parameter in the operation signature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedOperationParameter

    public ManagedOperationParameter()

Method Detail

### setIndex

    public void setIndex(int index)

  Set the index of this parameter in the operation signature.

### getIndex

    public int getIndex()

  Return the index of this parameter in the operation signature.

### setName

    public void setName(String name)

  Set the name of this parameter in the operation signature.

### getName

    public String getName()

  Return the name of this parameter in the operation signature.

### setDescription

    public void setDescription(String description)

  Set a description for this parameter.

### getDescription

    public String getDescription()

  Return a description for this parameter.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.